hdate::Hdate(3)

NAME
hdate::Hdate - Hdate class.

SYNOPSIS

#include <hdatepp.h>

  Public Member Functions

Hdate ()
Hdate constructor.
~Hdate ()
Hdate destructor.
void set_gdate (int d, int m, int y)
compute date structure from the Gregorian date
void set_hdate (int d, int m, int y)
compute date structure from the Hebrew date
void set_jd (int jd)
compute date structure from the Julian day
char * get_format_date (int s)
get formatted hebrew date.
char * get_day_of_week_string (int s)
get name of week day.
char * get_month_string (int s)
get name month.
char * get_hebrew_month_string (int s)
get name hebrew month.
char * get_holyday_string (int s)
get name hebrew holiday.
int get_holyday_type ()
get the hebrew holiday type.
char * get_parasha_string (int s)
get name hebrew parasha.
char * get_hebrew_year_string ()
get name hebrew year.
char * get_hebrew_day_string ()
get name hebrew hebrew day of the month
int get_parasha ()
get parash number
int get_holyday ()
get holiday number
int get_gday ()
get Gregorian day of the month
int get_gmonth ()
get Gregorian month
int get_gyear ()
get Gregorian year
int get_hday ()
get Hebrew day of the month
int get_hmonth ()
get Hebrew month
int get_hyear ()
get Hebrew year
int get_day_of_the_week ()
get the day of the week
int get_size_of_year ()
get the size of the Hebrew year in days
int get_new_year_day_of_the_week ()
get the day of the week of hebrew new years
int get_julian ()
get the Julian day number
int get_days ()
get the number of days sice Tishrey I
int get_weeks ()
get the number of weeks sice Tishrey I
void set_location (double in_latitude, double in_longitude, int in_tz)
set location
int get_sunrise ()
sunrise time
int get_sunset ()
sunset time
int get_first_light ()
first light time
int get_talit ()
talit time
int get_first_stars ()
first stars time
int get_three_stars ()
three stars time
int get_sun_hour ()
sun light hour time
int get_midday ()
midday hour time
char * get_translator_string ()
name of translator
void set_diaspora ()
set this hdate object to use diaspora holidays and dates
void set_israel ()
set this hdate object to use israel holidays and dates

Detailed Description

Hdate class.

class for Hebrew/Gregorian date conversions

Constructor & Destructor Documentation

  hdate::Hdate::Hdate () [inline]

Hdate constructor.

  hdate::Hdate::~Hdate () [inline]

Hdate destructor.

Member Function Documentation

  void hdate::Hdate::set_gdate (int d, int m, int y) [inline]

compute date structure from the Gregorian date

Parameters:
    d Day of month 1..31
    m Month 1..12 , if m or d is 0 return current date.
    y Year in 4 digits e.g. 2001

  void hdate::Hdate::set_hdate (int d, int m, int y) [inline]

compute date structure from the Hebrew date

Parameters:
    d Day of month 1..31
    m Month 1..14 , if m or d is 0 return current date.
    y Year in 4 digits e.g. 5731

  void hdate::Hdate::set_jd (int jd) [inline]

compute date structure from the Julian day

Parameters:
    jd the julian day number.

  char* hdate::Hdate::get_format_date (int s) [inline]

get formatted hebrew date.

return the short ( e.g. '1 Tishrey' ) or long (e.g. 'Tuesday 18 Tishrey 5763 Hol hamoed Sukot' ) formatted date.

Parameters:
    s short flag.

Returns:
    a static string of foramted date

  char* hdate::Hdate::get_day_of_week_string (int s) [inline]

get name of week day.

Parameters:
    s short flag true - returns a short string: sun, false returns: sunday.

Returns:
    a static string of the day of the week

  char* hdate::Hdate::get_month_string (int s) [inline]

get name month.

Parameters:
    s short flag true - returns a short string: Mar, false returns: March.

Returns:
    a static string of month name

  char* hdate::Hdate::get_hebrew_month_string (int s) [inline]

get name hebrew month.

Parameters:
    s short flag true - returns a short string.

Returns:
    a static string of hebrew month name

  char* hdate::Hdate::get_holyday_string (int s) [inline]

get name hebrew holiday.

Parameters:
    s short flag true - returns a short string.

Returns:
    a static string of hebrew holiday name

  int hdate::Hdate::get_holyday_type () [inline]

get the hebrew holiday type.

Returns:
    the holiday type (1- regular holyday, 2- three regels, 3- tzom, 0- no holiday)

  char* hdate::Hdate::get_parasha_string (int s) [inline]

get name hebrew parasha.

Parameters:
    s short flag true - returns a short string.

Returns:
    a static string of hebrew parash name

  char* hdate::Hdate::get_hebrew_year_string () [inline]

get name hebrew year.

Returns:
    a static string of hebrew year

  char* hdate::Hdate::get_hebrew_day_string () [inline]

get name hebrew hebrew day of the month

Returns:
    a static string of hebrew day of the month

  int hdate::Hdate::get_parasha () [inline]

get parash number

Returns:
    the hebrew parasha number

  int hdate::Hdate::get_holyday () [inline]

get holiday number

Returns:
    the hebrew holiday number

  int hdate::Hdate::get_gday () [inline]

get Gregorian day of the month

Returns:
    the Gregorian day of the month

  int hdate::Hdate::get_gmonth () [inline]

get Gregorian month

Returns:
    the Gregorian month

  int hdate::Hdate::get_gyear () [inline]

get Gregorian year

Returns:
    the Gregorian year

  int hdate::Hdate::get_hday () [inline]

get Hebrew day of the month

Returns:
    the Hebrew day of the month

  int hdate::Hdate::get_hmonth () [inline]

get Hebrew month

Returns:
    the Hebrew month

  int hdate::Hdate::get_hyear () [inline]

get Hebrew year

Returns:
    the Hebrew year

  int hdate::Hdate::get_day_of_the_week () [inline]

get the day of the week

Returns:
    the day of the week

  int hdate::Hdate::get_size_of_year () [inline]

get the size of the Hebrew year in days

Returns:
    the size of the Hebrew year in days

  int hdate::Hdate::get_new_year_day_of_the_week () [inline]

get the day of the week of hebrew new years

Returns:
    the day of the week of hebrew new years

  int hdate::Hdate::get_julian () [inline]

get the Julian day number

Returns:
    the Julian day number

  int hdate::Hdate::get_days () [inline]

get the number of days sice Tishrey I

Returns:
    the the number of days sice Tishrey I

  int hdate::Hdate::get_weeks () [inline]

get the number of weeks sice Tishrey I

Returns:
    the the number of weeks sice Tishrey I

  void hdate::Hdate::set_location (double in_latitude, double in_longitude, int in_tz) [inline]

set location

Parameters:
    in_longitude longitude to use in calculations degrees, negative values are east
    in_latitude latitude to use in calculations degrees, negative values are south
    in_tz time zone

  int hdate::Hdate::get_sunrise () [inline]

sunrise time

Returns:
    sunrise in minutes after midnight (00:00)

  int hdate::Hdate::get_sunset () [inline]

sunset time

Returns:
    sunset in minutes after midnight (00:00)

  int hdate::Hdate::get_first_light () [inline]

first light time

Returns:
    first light in minutes after midnight (00:00)

  int hdate::Hdate::get_talit () [inline]

talit time

Returns:
    talit time in minutes after midnight (00:00)

  int hdate::Hdate::get_first_stars () [inline]

first stars time

Returns:
    first stars in minutes after midnight (00:00)

  int hdate::Hdate::get_three_stars () [inline]

three stars time

Returns:
    three stars in minutes after midnight (00:00)

  int hdate::Hdate::get_sun_hour () [inline]

sun light hour time

Returns:
    sun light hour in minutes

  int hdate::Hdate::get_midday () [inline]

midday hour time

Returns:
    midday hour in minutes

  char* hdate::Hdate::get_translator_string () [inline]

name of translator

Returns:
    a static string with name of translator, or NULL if none

  void hdate::Hdate::set_diaspora () [inline]

set this hdate object to use diaspora holidays and dates

  void hdate::Hdate::set_israel () [inline]

set this hdate object to use israel holidays and dates

Author

Generated automatically by Doxygen for libhdate C++ language from the source code.